Bug 1298497 - 404 error for content view filter update procedure
404 error for content view filter update procedure
Status: CLOSED DEFERRED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.1.6
x86_64 Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 04:41 EST by Oleksandr Shtaier
Modified: 2017-03-23 16:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 16:21:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oleksandr Shtaier 2016-01-14 04:41:11 EST
Description of problem:
Trying to update content view information (content view id) for existing content view filter entity and constantly getting 404 error.

For example:

PUT: https://your_server/katello/api/v2/content_view_filters/16
     {"content_view_id":100}

Error:
Received HTTP 404 response: {"displayMessage":"Couldn't find ContentViewFilter with id=16","errors":["Couldn't find ContentViewFilter with id=16"]}

Everything works fine in case I will try to update another field (e.g. 'type')

Version-Release number of selected component (if applicable):
6.1.6

How reproducible:
Always

Steps to Reproduce:
1. Create couple of content view entries
2. Create content view filter for one content view
3. Try to update content view filter and assign another content view for it

Actual results:
404 error is raised

Expected results:
Update procedure passed successfully
or
In case that scenario is wrong due any reasons corresponding documentation entries for API should be changed and proper error message should be generated and displayed

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:06:49 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Bryan Kearney 2017-03-23 16:21:07 EDT
I do not believe this will be addressed in the next few releases, so I am closing this out. If you feel this was incorrect, please feel free to re-open with additional information.

Note You need to log in before you can comment on or make changes to this bug.